WordPress.org

Forums

WordPress 2.3 Database Error in post.php (3 posts)

  1. datasta
    Member
    Posted 7 years ago #

    I recently upgraded to WordPress 2.3 and everything worked perfectly fine. However, after running it for a few days, I started encountering this error.

    WordPress database error: [Table 'dhailblog.wp_post2cat' doesn't exist]
    SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM wp_posts p LEFT JOIN wp_post2cat pc ON p.ID = pc.post_id LEFT JOIN wp_categories c ON pc.category_id = c.cat_ID WHERE post_status = 'publish' GROUP BY cat_ID
    0

    This error happens when a post auto saves and is listed below the post. Thankfully I don't lose the post I'm working on, but i still see the errors...

    Any idea whats going on or how to fix it?

  2. MichaelH
    Member
    Posted 7 years ago #

    You likely have a plugin or a theme that is not compatible with Version 2.3.

    http://codex.wordpress.org/Plugins/Plugin_Compatibility/2.3
    http://codex.wordpress.org/Themes/Theme_Compatibility/2.3

  3. datasta
    Member
    Posted 7 years ago #

    I'm not using any plugins at all other than wp-cache.

Topic Closed

This topic has been closed to new replies.

About this Topic